Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Problem with Netweaver Developer Studio 7.3 and LiveCycle Designer 9

Dear all,

we have installed Netweaver Developer Studio 7.3 and LiveCycle Designer 9 with all the latest patches in our environment. While I am trying to edit an "InteractiveForm" in a Web Dynpro component I am getting the following error:

"Unable to locate WDAdobeControlSetup.msi; See the NetWeaver Developer Studio installation page for details."

Unfortunately I couldn't find any further information about this problem.

If I try to open the xdp file from the Resources/src/configuration/Component/[path]/[filename].xdp the editor shows following error:

org.eclipse.ui.PartInitException: The required plug-in com.sap.ide.adobelifecycledesigner is missing. Install all required plug-ins.
	at com.sap.fp.is.ide.adobetemplatedesigner.AdobeDesignerEditorPart.init(AdobeDesignerEditorPart.java:271)
	at org.eclipse.ui.internal.EditorManager.createSite(EditorManager.java:798)
	at org.eclipse.ui.internal.EditorReference.createPartHelper(EditorReference.java:644)
	at org.eclipse.ui.internal.EditorReference.createPart(EditorReference.java:462)
	at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:595)
	at org.eclipse.ui.internal.EditorReference.getEditor(EditorReference.java:286)
	at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditorBatched(WorkbenchPage.java:2857)
	at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor(WorkbenchPage.java:2762)
	at org.eclipse.ui.internal.WorkbenchPage.access$11(WorkbenchPage.java:2754)
	at org.eclipse.ui.internal.WorkbenchPage$10.run(WorkbenchPage.java:2705)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:2701)
	at org.eclipse.ui.internal.WorkbenchPage.openEditor(WorkbenchPage.java:2685)
	at org.eclipse.ui.actions.OpenWithMenu.openEditor(OpenWithMenu.java:344)
	at org.eclipse.ui.actions.OpenWithMenu$2.handleEvent(OpenWithMenu.java:192)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1003)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3910)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3503)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2405)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2369)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2221)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:500)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:493)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:113)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:194)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1311)

I am stuck on this point can't go further. I would really appreciate if someone can show me the right direction to fix this matter.

Thanks a lot,

Koray

Tags:
Former Member
replied

Hi Koray,

In the prerequisites of NWDS 7.3 installation appears it as a requisite in order to install:

Native libraries

The Developer Studio requires the following native libraries to be installed on the system:

Microsoft Redistributable Runtime DLLs VS2005 SP1 (x86), version 8.0.50727.4053 or higher

SAP RFC Library for 32-bit Windows

SAP Graphics Chart Control

SAP Webdynpro IDE Form Designer Control

Download the installers that are available through the links and execute them.

The library is the last one: SAP WD IDE Form designer control.

You can download it from this link: ht[https://nwds.sap.com/swdc/downloads/updates/netweaver/nwds/nw/730/doc/prerequisites.html|https://nwds.sap.com/swdc/downloads/updates/netweaver/nwds/nw/730/doc/prerequisites.html]

I konw is late, but this is the solution!

Regards,

MarĂ­a Margarita

0 View this answer in context
Not what you were looking for? View more on this topic or Ask a question